commit:     6839e15f1f87e326896ea22b91be5615e752c7dd
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 29 18:44:42 2014 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sat Nov 29 18:44:42 2014 +0000
URL:        
http://sources.gentoo.org/gitweb/?p=dev/dev-zero.git;a=commit;h=6839e15f

add live version of ripperX

---
 media-sound/ripperx/ripperx-9999.ebuild | 43 +++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/media-sound/ripperx/ripperx-9999.ebuild 
b/media-sound/ripperx/ripperx-9999.ebuild
new file mode 100644
index 0000000..188dc3f
--- /dev/null
+++ b/media-sound/ripperx/ripperx-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit eutils git-r3
+
+MY_P=${P/x/X}
+MY_PN=${PN/x/X}
+
+DESCRIPTION="GTK program to rip CD audio tracks and encode them to the Ogg, 
MP3, or FLAC formats"
+HOMEPAGE="http://sourceforge.net/projects/ripperx";
+EGIT_REPO_URI="git://git.code.sf.net/p/ripperx/git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="nls"
+
+RDEPEND="media-libs/taglib
+       media-sound/cdparanoia
+       media-sound/lame
+       x11-libs/gtk+:2"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )"
+
+src_prepare() {
+       # AC_CHECK_LIB(m, ceilf, [], [MATH_LIB="-lm" MATH_LIB=""]) #401867
+       sed -i -e '/ripperX_LDADD/s:=:= -lm:' src/Makefile.in || die
+}
+
+src_configure() {
+       econf $(use_enable nls)
+}
+
+src_install() {
+       default
+       dodoc BUGS CHANGES FAQ README* TODO
+       doicon src/xpms/${MY_PN}-icon.xpm
+       make_desktop_entry ${MY_PN} ${MY_PN} ${MY_PN}-icon
+}

Reply via email to